Skip to main content
POST
/
api
/
v2
/
subsequences
/
{id}
/
pause
Pause a subsequence
curl --request POST \
  --url https://api.instantly.ai/api/v2/subsequences/{id}/pause \
  --header 'Authorization: Bearer <token>'
{
  "id": "019cc043-afb7-799b-8d1a-349537afe234",
  "timestamp_created": "2026-03-05T23:09:47.319Z",
  "parent_campaign": "019cc043-afb7-799b-8d1a-34962760edae",
  "workspace": "019cc043-afb7-799b-8d1a-34978942fd0b",
  "status": 0,
  "timestamp_leads_updated": "2026-03-05T23:09:47.319Z",
  "name": "Follow-up sequence",
  "conditions": {
    "crm_status": [
      1
    ],
    "lead_activity": [
      4
    ],
    "reply_contains": "yes"
  },
  "subsequence_schedule": {
    "schedules": [
      {
        "name": "My Schedule",
        "timing": {
          "from": "09:00",
          "to": "17:00"
        },
        "days": {
          "0": true,
          "1": true,
          "2": true,
          "3": true,
          "4": true,
          "5": false,
          "6": false
        },
        "timezone": "Etc/GMT+12"
      }
    ],
    "start_date": "2025-09-25",
    "end_date": "2025-09-25"
  },
  "sequences": [
    {
      "steps": [
        {
          "type": "email",
          "delay": 2,
          "variants": [
            {
              "subject": "Hello {{firstName}}",
              "body": "Hey {{firstName}},\n\nI hope you are doing well.",
              "v_disabled": true
            }
          ],
          "delay_unit": "days",
          "pre_delay": 2,
          "pre_delay_unit": "days"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Subsequence ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

Response

The requested Campaign Subsequence

A subsequence entity representing a follow-up sequence

id
string<uuid>
required

Unique identifier for the subsequence

Example:

"019cc043-afb7-799b-8d1a-349537afe234"

timestamp_created
string<date-time>
required

Timestamp when the subsequence was created

Example:

"2026-03-05T23:09:47.319Z"

parent_campaign
string<uuid>
required

ID of the parent campaign

Example:

"019cc043-afb7-799b-8d1a-34962760edae"

workspace
string<uuid>
required

ID of the workspace this subsequence belongs to

Example:

"019cc043-afb7-799b-8d1a-34978942fd0b"

status
enum<number>
required

Status of the subsequence

Available options:
-99,
-1,
-2,
0,
1,
2,
3,
4
Example:

0

timestamp_leads_updated
string<date-time>
required

Timestamp when the leads were last updated

Example:

"2026-03-05T23:09:47.319Z"

name
string
required

Name of the subsequence

Example:

"Follow-up sequence"

conditions
object
required

Conditions that trigger the subsequence

subsequence_schedule
object
required

Schedule configuration for the subsequence

sequences
object[]
required

List of sequences (the actual email copy). Even though this field is an array, only the first element is used, so please provide only one array item, and add the steps to that array